(use-modules (guix build-system python)
             ((guix build utils) #:select (invoke))
             ((guix download) #:select (url-fetch))
             ((guix gexp) #:select (gexp))
             ((guix licenses) #:select (gpl3))
             (guix packages))

(let
  ((python-pandoc-xnos (load "pandoc-xnos.scm")))
  (package
    (name "python-pandoc-secnos")
    (version "2.2.2")
    (source (origin
              (method url-fetch)
              (uri (pypi-uri "pandoc-secnos" version))
              (sha256
               (base32
                "0z0hz9zib3l6c2axjq823xjm9rj55ajb73rc0h0bhsh7rg2gxdqn"))))
    (build-system python-build-system)
	(arguments
	  (list #:phases
			#~(modify-phases %standard-phases
				(add-before 'build 'edit-setup
				  (lambda _
					(invoke "sed" "-i" "65q" "setup.py"))))))
    (propagated-inputs (list python-pandoc-xnos))
    (home-page "https://github.com/tomduck/pandoc-secnos")
    (synopsis "Equation number filter for pandoc")
    (description "Equation number filter for pandoc")
    (license gpl3)))

				
